=== modified file 'plugin/innobase/include/ut0byte.h'
--- plugin/innobase/include/ut0byte.h	2010-10-02 21:15:42 +0000
+++ plugin/innobase/include/ut0byte.h	2010-10-12 05:41:17 +0000
@@ -219,8 +219,8 @@
 void*
 ut_align(
 /*=====*/
-	void*	ptr,		/*!< in: pointer */
-	ulint	align_no);	/*!< in: align by this number */
+	const void*	ptr,		/*!< in: pointer */
+	ulint		align_no);	/*!< in: align by this number */
 /*********************************************************//**
 The following function rounds down a pointer to the nearest
 aligned address.

=== modified file 'plugin/innobase/include/ut0byte.ic'
--- plugin/innobase/include/ut0byte.ic	2010-10-02 21:15:42 +0000
+++ plugin/innobase/include/ut0byte.ic	2010-10-12 05:41:17 +0000
@@ -319,8 +319,8 @@
 void*
 ut_align(
 /*=====*/
-	void*	ptr,		/*!< in: pointer */
-	ulint	align_no)	/*!< in: align by this number */
+	const void*	ptr,		/*!< in: pointer */
+	ulint		align_no)	/*!< in: align by this number */
 {
 	ut_ad(align_no > 0);
 	ut_ad(((align_no - 1) & align_no) == 0);

